<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::BasicCodec Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_basic_codec.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classerpc_1_1_basic_codec-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::BasicCodec Class Reference<div class="ingroups"><a class="el" href="group__infra.html">Infrastructure</a> &raquo; <a class="el" href="group__infra__codec.html">Serialization</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Simple binary serialization format.  
 <a href="classerpc_1_1_basic_codec.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="basic__codec_8h_source.html">basic_codec.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for erpc::BasicCodec:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_basic_codec__inherit__graph.svg" width="136" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Collaboration diagram for erpc::BasicCodec:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_basic_codec__coll__graph.svg" width="318" height="218"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Encoding</div></td></tr>
<tr class="memitem:a0fa4c6301fbc588f85c49964d7970258"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a0fa4c6301fbc588f85c49964d7970258">startWriteMessage</a> (<a class="el" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a> type, uint32_t service, uint32_t request, uint32_t sequence)</td></tr>
<tr class="memdesc:a0fa4c6301fbc588f85c49964d7970258"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write header of message.  <a href="#a0fa4c6301fbc588f85c49964d7970258">More...</a><br /></td></tr>
<tr class="separator:a0fa4c6301fbc588f85c49964d7970258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a765aa2f4ecba019e30678fe184493df2"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a765aa2f4ecba019e30678fe184493df2">endWriteMessage</a> ()</td></tr>
<tr class="memdesc:a765aa2f4ecba019e30678fe184493df2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write end of message.  <a href="#a765aa2f4ecba019e30678fe184493df2">More...</a><br /></td></tr>
<tr class="separator:a765aa2f4ecba019e30678fe184493df2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeb48a7f68e1e0d830c3ff20c74fe01c"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#adeb48a7f68e1e0d830c3ff20c74fe01c">write</a> (bool value)</td></tr>
<tr class="memdesc:adeb48a7f68e1e0d830c3ff20c74fe01c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write boolean value.  <a href="#adeb48a7f68e1e0d830c3ff20c74fe01c">More...</a><br /></td></tr>
<tr class="separator:adeb48a7f68e1e0d830c3ff20c74fe01c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26e815db6bb700eedc05efd0847594f7"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a26e815db6bb700eedc05efd0847594f7">write</a> (int8_t value)</td></tr>
<tr class="memdesc:a26e815db6bb700eedc05efd0847594f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write int8_t value.  <a href="#a26e815db6bb700eedc05efd0847594f7">More...</a><br /></td></tr>
<tr class="separator:a26e815db6bb700eedc05efd0847594f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0ce6acb67b6577dc975773de8a4d98f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ad0ce6acb67b6577dc975773de8a4d98f">write</a> (int16_t value)</td></tr>
<tr class="memdesc:ad0ce6acb67b6577dc975773de8a4d98f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write int16_t value.  <a href="#ad0ce6acb67b6577dc975773de8a4d98f">More...</a><br /></td></tr>
<tr class="separator:ad0ce6acb67b6577dc975773de8a4d98f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9e62927c91cd5ea39acc918b6f2d403"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ab9e62927c91cd5ea39acc918b6f2d403">write</a> (int32_t value)</td></tr>
<tr class="memdesc:ab9e62927c91cd5ea39acc918b6f2d403"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write int32_t value.  <a href="#ab9e62927c91cd5ea39acc918b6f2d403">More...</a><br /></td></tr>
<tr class="separator:ab9e62927c91cd5ea39acc918b6f2d403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a803eebcab2772ec699b8806de1ec1fb4"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a803eebcab2772ec699b8806de1ec1fb4">write</a> (int64_t value)</td></tr>
<tr class="memdesc:a803eebcab2772ec699b8806de1ec1fb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write int64_t value.  <a href="#a803eebcab2772ec699b8806de1ec1fb4">More...</a><br /></td></tr>
<tr class="separator:a803eebcab2772ec699b8806de1ec1fb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed053d4a4f7a43f42970baf22f6df81a"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#aed053d4a4f7a43f42970baf22f6df81a">write</a> (uint8_t value)</td></tr>
<tr class="memdesc:aed053d4a4f7a43f42970baf22f6df81a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write uint8_t value.  <a href="#aed053d4a4f7a43f42970baf22f6df81a">More...</a><br /></td></tr>
<tr class="separator:aed053d4a4f7a43f42970baf22f6df81a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc7ce37ff0b5094a0e0df9a60be314fd"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#abc7ce37ff0b5094a0e0df9a60be314fd">write</a> (uint16_t value)</td></tr>
<tr class="memdesc:abc7ce37ff0b5094a0e0df9a60be314fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write uint16_t value.  <a href="#abc7ce37ff0b5094a0e0df9a60be314fd">More...</a><br /></td></tr>
<tr class="separator:abc7ce37ff0b5094a0e0df9a60be314fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeda059a98fdad49428810593998221c8"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#aeda059a98fdad49428810593998221c8">write</a> (uint32_t value)</td></tr>
<tr class="memdesc:aeda059a98fdad49428810593998221c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write uint32_t value.  <a href="#aeda059a98fdad49428810593998221c8">More...</a><br /></td></tr>
<tr class="separator:aeda059a98fdad49428810593998221c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56acd09bf1a4fa41111857779aa62aa0"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a56acd09bf1a4fa41111857779aa62aa0">write</a> (uint64_t value)</td></tr>
<tr class="memdesc:a56acd09bf1a4fa41111857779aa62aa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write uint64_t value.  <a href="#a56acd09bf1a4fa41111857779aa62aa0">More...</a><br /></td></tr>
<tr class="separator:a56acd09bf1a4fa41111857779aa62aa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5d891c77b2132d17f0ca9f6636d69de"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ad5d891c77b2132d17f0ca9f6636d69de">write</a> (float value)</td></tr>
<tr class="memdesc:ad5d891c77b2132d17f0ca9f6636d69de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write float value.  <a href="#ad5d891c77b2132d17f0ca9f6636d69de">More...</a><br /></td></tr>
<tr class="separator:ad5d891c77b2132d17f0ca9f6636d69de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa306ee64f85658f7e6fb4a9cd6b4144d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#aa306ee64f85658f7e6fb4a9cd6b4144d">write</a> (double value)</td></tr>
<tr class="memdesc:aa306ee64f85658f7e6fb4a9cd6b4144d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write double value.  <a href="#aa306ee64f85658f7e6fb4a9cd6b4144d">More...</a><br /></td></tr>
<tr class="separator:aa306ee64f85658f7e6fb4a9cd6b4144d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f476ced2a5921ca3d19d87bd5e64a57"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a8f476ced2a5921ca3d19d87bd5e64a57">writeString</a> (uint32_t length, const char *value)</td></tr>
<tr class="memdesc:a8f476ced2a5921ca3d19d87bd5e64a57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write string value.  <a href="#a8f476ced2a5921ca3d19d87bd5e64a57">More...</a><br /></td></tr>
<tr class="separator:a8f476ced2a5921ca3d19d87bd5e64a57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3686daacbdfc0e820c522bf20e7267"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#aaa3686daacbdfc0e820c522bf20e7267">writeBinary</a> (uint32_t length, const uint8_t *value)</td></tr>
<tr class="memdesc:aaa3686daacbdfc0e820c522bf20e7267"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for write binary value.  <a href="#aaa3686daacbdfc0e820c522bf20e7267">More...</a><br /></td></tr>
<tr class="separator:aaa3686daacbdfc0e820c522bf20e7267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d6a8fec0a26945a7965bc27ee1051f1"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a7d6a8fec0a26945a7965bc27ee1051f1">startWriteList</a> (uint32_t length)</td></tr>
<tr class="memdesc:a7d6a8fec0a26945a7965bc27ee1051f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for start write list.  <a href="#a7d6a8fec0a26945a7965bc27ee1051f1">More...</a><br /></td></tr>
<tr class="separator:a7d6a8fec0a26945a7965bc27ee1051f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8720e162676bb90450bdf93fe7521f9f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a8720e162676bb90450bdf93fe7521f9f">endWriteList</a> ()</td></tr>
<tr class="memdesc:a8720e162676bb90450bdf93fe7521f9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for end write list.  <a href="#a8720e162676bb90450bdf93fe7521f9f">More...</a><br /></td></tr>
<tr class="separator:a8720e162676bb90450bdf93fe7521f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a886a191a25ce8ea45190a78f0811a552"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a886a191a25ce8ea45190a78f0811a552">startWriteStruct</a> ()</td></tr>
<tr class="memdesc:a886a191a25ce8ea45190a78f0811a552"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for start write structure.  <a href="#a886a191a25ce8ea45190a78f0811a552">More...</a><br /></td></tr>
<tr class="separator:a886a191a25ce8ea45190a78f0811a552"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c42a1b2ce3526227618fd69daee1257"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a1c42a1b2ce3526227618fd69daee1257">endWriteStruct</a> ()</td></tr>
<tr class="memdesc:a1c42a1b2ce3526227618fd69daee1257"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for end write structure.  <a href="#a1c42a1b2ce3526227618fd69daee1257">More...</a><br /></td></tr>
<tr class="separator:a1c42a1b2ce3526227618fd69daee1257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e30745ca41b9e2ee277619d968f001c"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a0e30745ca41b9e2ee277619d968f001c">writeNullFlag</a> (bool isNull)</td></tr>
<tr class="memdesc:a0e30745ca41b9e2ee277619d968f001c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a flag indicating whether the next value is null.  <a href="#a0e30745ca41b9e2ee277619d968f001c">More...</a><br /></td></tr>
<tr class="separator:a0e30745ca41b9e2ee277619d968f001c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Decoding</div></td></tr>
<tr class="memitem:a7abcf7a74b8de3b84ea417c16e850413"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a7abcf7a74b8de3b84ea417c16e850413">startReadMessage</a> (<a class="el" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a> *type, uint32_t *service, uint32_t *request, uint32_t *sequence)</td></tr>
<tr class="memdesc:a7abcf7a74b8de3b84ea417c16e850413"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read header of message.  <a href="#a7abcf7a74b8de3b84ea417c16e850413">More...</a><br /></td></tr>
<tr class="separator:a7abcf7a74b8de3b84ea417c16e850413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a7d30f3d57e8a1520e0db8f69954d54"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a1a7d30f3d57e8a1520e0db8f69954d54">endReadMessage</a> ()</td></tr>
<tr class="memdesc:a1a7d30f3d57e8a1520e0db8f69954d54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read end of message.  <a href="#a1a7d30f3d57e8a1520e0db8f69954d54">More...</a><br /></td></tr>
<tr class="separator:a1a7d30f3d57e8a1520e0db8f69954d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2bf041e34d2181f021cae256d05e76b"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ae2bf041e34d2181f021cae256d05e76b">read</a> (bool *value)</td></tr>
<tr class="memdesc:ae2bf041e34d2181f021cae256d05e76b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read boolean value.  <a href="#ae2bf041e34d2181f021cae256d05e76b">More...</a><br /></td></tr>
<tr class="separator:ae2bf041e34d2181f021cae256d05e76b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68b8430e167705f4f73bb014d24796f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ab68b8430e167705f4f73bb014d24796f">read</a> (int8_t *value)</td></tr>
<tr class="memdesc:ab68b8430e167705f4f73bb014d24796f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read int8_t value.  <a href="#ab68b8430e167705f4f73bb014d24796f">More...</a><br /></td></tr>
<tr class="separator:ab68b8430e167705f4f73bb014d24796f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a263b251665a1e0f5c6153297be59942c"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a263b251665a1e0f5c6153297be59942c">read</a> (int16_t *value)</td></tr>
<tr class="memdesc:a263b251665a1e0f5c6153297be59942c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read int16_t value.  <a href="#a263b251665a1e0f5c6153297be59942c">More...</a><br /></td></tr>
<tr class="separator:a263b251665a1e0f5c6153297be59942c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93576564cc908d9d9f597229224cd35f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a93576564cc908d9d9f597229224cd35f">read</a> (int32_t *value)</td></tr>
<tr class="memdesc:a93576564cc908d9d9f597229224cd35f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read int32_t value.  <a href="#a93576564cc908d9d9f597229224cd35f">More...</a><br /></td></tr>
<tr class="separator:a93576564cc908d9d9f597229224cd35f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e7f44880b4e5f5255120be931dfe840"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a9e7f44880b4e5f5255120be931dfe840">read</a> (int64_t *value)</td></tr>
<tr class="memdesc:a9e7f44880b4e5f5255120be931dfe840"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read int64_t value.  <a href="#a9e7f44880b4e5f5255120be931dfe840">More...</a><br /></td></tr>
<tr class="separator:a9e7f44880b4e5f5255120be931dfe840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9adb814a0002a502e0ba823abd5a8f1"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ac9adb814a0002a502e0ba823abd5a8f1">read</a> (uint8_t *value)</td></tr>
<tr class="memdesc:ac9adb814a0002a502e0ba823abd5a8f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read uint8_t value.  <a href="#ac9adb814a0002a502e0ba823abd5a8f1">More...</a><br /></td></tr>
<tr class="separator:ac9adb814a0002a502e0ba823abd5a8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b7d904a53cb14f9bc6e1c4f3a78221"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a80b7d904a53cb14f9bc6e1c4f3a78221">read</a> (uint16_t *value)</td></tr>
<tr class="memdesc:a80b7d904a53cb14f9bc6e1c4f3a78221"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read uint16_t value.  <a href="#a80b7d904a53cb14f9bc6e1c4f3a78221">More...</a><br /></td></tr>
<tr class="separator:a80b7d904a53cb14f9bc6e1c4f3a78221"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e576e146650ede278e652f693b49eac"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a2e576e146650ede278e652f693b49eac">read</a> (uint32_t *value)</td></tr>
<tr class="memdesc:a2e576e146650ede278e652f693b49eac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read uint32_t value.  <a href="#a2e576e146650ede278e652f693b49eac">More...</a><br /></td></tr>
<tr class="separator:a2e576e146650ede278e652f693b49eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf22280a2d216fa568eb2a0432383557"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#adf22280a2d216fa568eb2a0432383557">read</a> (uint64_t *value)</td></tr>
<tr class="memdesc:adf22280a2d216fa568eb2a0432383557"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read uint64_t value.  <a href="#adf22280a2d216fa568eb2a0432383557">More...</a><br /></td></tr>
<tr class="separator:adf22280a2d216fa568eb2a0432383557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e48442bce725b7a7e3458c02d46f2b8"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a5e48442bce725b7a7e3458c02d46f2b8">read</a> (float *value)</td></tr>
<tr class="memdesc:a5e48442bce725b7a7e3458c02d46f2b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read float value.  <a href="#a5e48442bce725b7a7e3458c02d46f2b8">More...</a><br /></td></tr>
<tr class="separator:a5e48442bce725b7a7e3458c02d46f2b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad22e28c3d5571e0d452c59b6fdcbe223"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ad22e28c3d5571e0d452c59b6fdcbe223">read</a> (double *value)</td></tr>
<tr class="memdesc:ad22e28c3d5571e0d452c59b6fdcbe223"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read double value.  <a href="#ad22e28c3d5571e0d452c59b6fdcbe223">More...</a><br /></td></tr>
<tr class="separator:ad22e28c3d5571e0d452c59b6fdcbe223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a681be30bb9490f5df171ac161957eb50"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a681be30bb9490f5df171ac161957eb50">readString</a> (uint32_t *length, char **value)</td></tr>
<tr class="memdesc:a681be30bb9490f5df171ac161957eb50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read string value.  <a href="#a681be30bb9490f5df171ac161957eb50">More...</a><br /></td></tr>
<tr class="separator:a681be30bb9490f5df171ac161957eb50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a286da2fb516cab0063b3ce9307cd557c"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a286da2fb516cab0063b3ce9307cd557c">readBinary</a> (uint32_t *length, uint8_t **value)</td></tr>
<tr class="memdesc:a286da2fb516cab0063b3ce9307cd557c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for read binary value.  <a href="#a286da2fb516cab0063b3ce9307cd557c">More...</a><br /></td></tr>
<tr class="separator:a286da2fb516cab0063b3ce9307cd557c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31cbbd775e98a3288bdf7c741c2c7d84"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a31cbbd775e98a3288bdf7c741c2c7d84">startReadList</a> (uint32_t *length)</td></tr>
<tr class="memdesc:a31cbbd775e98a3288bdf7c741c2c7d84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for start read list.  <a href="#a31cbbd775e98a3288bdf7c741c2c7d84">More...</a><br /></td></tr>
<tr class="separator:a31cbbd775e98a3288bdf7c741c2c7d84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7063b583c1ee91ef0427b750933e234c"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a7063b583c1ee91ef0427b750933e234c">endReadList</a> ()</td></tr>
<tr class="memdesc:a7063b583c1ee91ef0427b750933e234c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for end read list.  <a href="#a7063b583c1ee91ef0427b750933e234c">More...</a><br /></td></tr>
<tr class="separator:a7063b583c1ee91ef0427b750933e234c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae96c0cb07e2dd28d86ea331be19f8d15"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ae96c0cb07e2dd28d86ea331be19f8d15">startReadStruct</a> ()</td></tr>
<tr class="memdesc:ae96c0cb07e2dd28d86ea331be19f8d15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for start read structure.  <a href="#ae96c0cb07e2dd28d86ea331be19f8d15">More...</a><br /></td></tr>
<tr class="separator:ae96c0cb07e2dd28d86ea331be19f8d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9b8752c2edb161e4645ff836b6e2a75"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#ac9b8752c2edb161e4645ff836b6e2a75">endReadStruct</a> ()</td></tr>
<tr class="memdesc:ac9b8752c2edb161e4645ff836b6e2a75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for end read structure.  <a href="#ac9b8752c2edb161e4645ff836b6e2a75">More...</a><br /></td></tr>
<tr class="separator:ac9b8752c2edb161e4645ff836b6e2a75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bb45d1d9a0cbe45ccdaad319efa4294"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a7bb45d1d9a0cbe45ccdaad319efa4294">readNullFlag</a> (bool *isNull)</td></tr>
<tr class="memdesc:a7bb45d1d9a0cbe45ccdaad319efa4294"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a flag indicating whether the next value is null.  <a href="#a7bb45d1d9a0cbe45ccdaad319efa4294">More...</a><br /></td></tr>
<tr class="separator:a7bb45d1d9a0cbe45ccdaad319efa4294"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpc_1_1_codec"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpc_1_1_codec')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td></tr>
<tr class="memitem:ab8a8bf8e26193edaa7b60bd60a74e241 inherit pub_methods_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#ab8a8bf8e26193edaa7b60bd60a74e241">Codec</a> ()</td></tr>
<tr class="memdesc:ab8a8bf8e26193edaa7b60bd60a74e241 inherit pub_methods_classerpc_1_1_codec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab8a8bf8e26193edaa7b60bd60a74e241">More...</a><br /></td></tr>
<tr class="separator:ab8a8bf8e26193edaa7b60bd60a74e241 inherit pub_methods_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4799bf9411c7fbec26082f0143abb1b inherit pub_methods_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4799bf9411c7fbec26082f0143abb1b"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#ad4799bf9411c7fbec26082f0143abb1b">~Codec</a> ()</td></tr>
<tr class="memdesc:ad4799bf9411c7fbec26082f0143abb1b inherit pub_methods_classerpc_1_1_codec"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_codec.html" title="Abstract serialization encoder/decoder interface. ">Codec</a> destructor. <br /></td></tr>
<tr class="separator:ad4799bf9411c7fbec26082f0143abb1b inherit pub_methods_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45709c93c094b3429facb6962827892e inherit pub_methods_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#a45709c93c094b3429facb6962827892e">getBuffer</a> ()</td></tr>
<tr class="memdesc:a45709c93c094b3429facb6962827892e inherit pub_methods_classerpc_1_1_codec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return message buffer used for read and write data.  <a href="#a45709c93c094b3429facb6962827892e">More...</a><br /></td></tr>
<tr class="separator:a45709c93c094b3429facb6962827892e inherit pub_methods_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace7d311abca68729346074d603879c9f inherit pub_methods_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#ace7d311abca68729346074d603879c9f">setBuffer</a> (<a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> &amp;buf)</td></tr>
<tr class="memdesc:ace7d311abca68729346074d603879c9f inherit pub_methods_classerpc_1_1_codec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prototype for set message buffer used for read and write data.  <a href="#ace7d311abca68729346074d603879c9f">More...</a><br /></td></tr>
<tr class="separator:ace7d311abca68729346074d603879c9f inherit pub_methods_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be084e154883188d26fbad05ff2c7b9 inherit pub_methods_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9be084e154883188d26fbad05ff2c7b9"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#a9be084e154883188d26fbad05ff2c7b9">reset</a> ()</td></tr>
<tr class="memdesc:a9be084e154883188d26fbad05ff2c7b9 inherit pub_methods_classerpc_1_1_codec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the codec to initial state. <br /></td></tr>
<tr class="separator:a9be084e154883188d26fbad05ff2c7b9 inherit pub_methods_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a41fd14db0b41fabf23c177a342ae0ff5"><td class="memItemLeft" align="right" valign="top">static const uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_basic_codec.html#a41fd14db0b41fabf23c177a342ae0ff5">kBasicCodecVersion</a></td></tr>
<tr class="separator:a41fd14db0b41fabf23c177a342ae0ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classerpc_1_1_codec"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpc_1_1_codec')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpc_1_1_codec.html">erpc::Codec</a></td></tr>
<tr class="memitem:a003c4d8420239b9a347b46554ebeb903 inherit pro_attribs_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#a003c4d8420239b9a347b46554ebeb903">m_buffer</a></td></tr>
<tr class="separator:a003c4d8420239b9a347b46554ebeb903 inherit pro_attribs_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9fe5af5136be642e05a9e7335af8ff7 inherit pro_attribs_classerpc_1_1_codec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html">MessageBuffer::Cursor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_codec.html#ad9fe5af5136be642e05a9e7335af8ff7">m_cursor</a></td></tr>
<tr class="separator:ad9fe5af5136be642e05a9e7335af8ff7 inherit pro_attribs_classerpc_1_1_codec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Simple binary serialization format. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a0fa4c6301fbc588f85c49964d7970258"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::startWriteMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>service</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>sequence</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write header of message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">type</td><td>Type of message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">service</td><td>Which interface is requested. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">request</td><td>Which function need be called. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sequence</td><td>Send sequence number to be sure that received message is reply for current request.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td>or write function. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ac41e5be3cb4b64f4a0c52de160a7537d">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a765aa2f4ecba019e30678fe184493df2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::endWriteMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write end of message. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ad5781b1bb58c39f977bef3d599f62d97">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="adeb48a7f68e1e0d830c3ff20c74fe01c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write boolean value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Boolean typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a002b086a5534d5be910d6930d3468a00">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a26e815db6bb700eedc05efd0847594f7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">int8_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write int8_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>int8_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a8bade9ddf36d8ac79b675e9b10169fdf">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ad0ce6acb67b6577dc975773de8a4d98f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write int16_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>int16_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a07e236dd49c216ffab823afc58635e5c">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ab9e62927c91cd5ea39acc918b6f2d403"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write int32_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>int32_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a24be3849ad7cabda4c589a912fdc7f82">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a803eebcab2772ec699b8806de1ec1fb4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">int64_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write int64_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>int64_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#aef1f5071b1e07f34fe9731fa5e10687f">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="aed053d4a4f7a43f42970baf22f6df81a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write uint8_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>uint8_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a8edff61120231fb0e652825c2f6371e5">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="abc7ce37ff0b5094a0e0df9a60be314fd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write uint16_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>uint16_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#aa169e906bf4f7cd12a4e5588f65b14f6">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="aeda059a98fdad49428810593998221c8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write uint32_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>uint32_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a929dc3f32a088c03b9f8cef0e30cab49">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a56acd09bf1a4fa41111857779aa62aa0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">uint64_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write uint64_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>uint64_t typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a59d6be059c10422e528039699bf341ce">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ad5d891c77b2132d17f0ca9f6636d69de"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write float value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>float typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a5aeed7d90150e7f65eb1017bc0e2688c">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="aa306ee64f85658f7e6fb4a9cd6b4144d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::write </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write double value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>double typed value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a973c421155e391dbb0550fa5e0065001">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a8f476ced2a5921ca3d19d87bd5e64a57"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::writeString </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write string value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>of string. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>string value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on writeBinary function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#acdcec6c9575388ebbccfc7e326cfb7a2">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="aaa3686daacbdfc0e820c522bf20e7267"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::writeBinary </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for write binary value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>of binary. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Binary value to write.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on write function and cursor write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a395fc7d8577b0a00d571ed320b4da57e">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a7d6a8fec0a26945a7965bc27ee1051f1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::startWriteList </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for start write list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>Length of list.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on write function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a3255757c4dd48017a5f9e796c49e822b">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a8720e162676bb90450bdf93fe7521f9f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::endWriteList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for end write list. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#acb6720bc9f02a2068c32c353647cfa92">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a886a191a25ce8ea45190a78f0811a552"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::startWriteStruct </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for start write structure. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a7ef8f0ef36444918b184036f02631088">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a1c42a1b2ce3526227618fd69daee1257"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::endWriteStruct </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for end write structure. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ab35961c106dabca5c2204e8e53602d39">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a0e30745ca41b9e2ee277619d968f001c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::writeNullFlag </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isNull</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Writes a flag indicating whether the next value is null. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ad070335fa31ad73d644ae2fc28ba0003">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a7abcf7a74b8de3b84ea417c16e850413"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::startReadMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a> *&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>service</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>sequence</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read header of message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">type</td><td>Type of message. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">service</td><td>Which interface was used. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">request</td><td>Which function was called. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">sequence</td><td>Returned sequence number to be sure that received message is reply for current request.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td></td></tr>
    <tr><td class="paramname">kErpcStatus_InvalidMessageVersion</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ad98b0492614fe14cf4461972cd6fe9d9">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a1a7d30f3d57e8a1520e0db8f69954d54"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::endReadMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read end of message. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a0ad6166e412a6161e7cc8c7aab81c1bf">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ae2bf041e34d2181f021cae256d05e76b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read boolean value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>Boolean typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ae6f1c838bff3b95705e05d0204890fa5">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ab68b8430e167705f4f73bb014d24796f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">int8_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read int8_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>int8_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a791e0ce1915cdfd0fe1cd1d4315f5fb6">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a263b251665a1e0f5c6153297be59942c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">int16_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read int16_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>int16_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a830e2c4e43d9fa97d18c1e7fe99180a8">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a93576564cc908d9d9f597229224cd35f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read int32_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>int32_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a649e1087fd0a3595bab8a1576d9bed46">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a9e7f44880b4e5f5255120be931dfe840"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">int64_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read int64_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>int64_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a7e96770ca212c00480381c4f0f54a3ff">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ac9adb814a0002a502e0ba823abd5a8f1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read uint8_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>uint8_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#af5fb7f3b1c974196cba75f65538d6b80">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a80b7d904a53cb14f9bc6e1c4f3a78221"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read uint16_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>uint16_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a9f87529ab9ed05b0fdd175bbac2f41a9">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a2e576e146650ede278e652f693b49eac"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read uint32_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>uint32_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a432a28551422ece42286e13868a696d2">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="adf22280a2d216fa568eb2a0432383557"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">uint64_t *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read uint64_t value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>uint64_t typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a62e4d29fdb26b3cdafa1e866848610bf">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a5e48442bce725b7a7e3458c02d46f2b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read float value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>float typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ad507e9dd4fa21a17f705516ac23e96db">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ad22e28c3d5571e0d452c59b6fdcbe223"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::read </td>
          <td>(</td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read double value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>double typed value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on cursor read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#ad9d75c5f93bc233feaf444c3ec6b9dcc">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a681be30bb9490f5df171ac161957eb50"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::readString </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read string value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">length</td><td>of string. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>String value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Based on readBinary function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a29c01cadcd7cd544c2248899d9d7cb2d">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a286da2fb516cab0063b3ce9307cd557c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::readBinary </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t **&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for read binary value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">length</td><td>of binary. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>Binary value to read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td>or depends on read function. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a9f2fb79b05e89fc1c8a49454fd39e152">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a31cbbd775e98a3288bdf7c741c2c7d84"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::startReadList </td>
          <td>(</td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>length</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for start read list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">length</td><td>Length of list.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>depends on read function. </dd></dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#aa8728e3da1cb91af2e92fa236cacab06">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a7063b583c1ee91ef0427b750933e234c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::endReadList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for end read list. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#af259955abf004ce3929bcc39b20611dd">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ae96c0cb07e2dd28d86ea331be19f8d15"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::startReadStruct </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for start read structure. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a02e5f8b725da2f0560ce8a07fba3d991">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="ac9b8752c2edb161e4645ff836b6e2a75"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::endReadStruct </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prototype for end read structure. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#a145ed0908df02c7c059046e924dfc2d3">erpc::Codec</a>.</p>

</div>
</div>
<a class="anchor" id="a7bb45d1d9a0cbe45ccdaad319efa4294"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> BasicCodec::readNullFlag </td>
          <td>(</td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>isNull</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reads a flag indicating whether the next value is null. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_codec.html#afbbf5fb4b8fcbae3d99d7314a6aac995">erpc::Codec</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a41fd14db0b41fabf23c177a342ae0ff5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint32_t erpc::BasicCodec::kBasicCodecVersion</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="classerpc_1_1_codec.html" title="Abstract serialization encoder/decoder interface. ">Codec</a> version. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="basic__codec_8h_source.html">basic_codec.h</a></li>
<li>basic_codec.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
